{
  lib,
  stdenv,
  buildGoModule,
  pkg-config,
}:
buildGoModule {
  pname = "nix-tool";
  version = "0.1.4";
  src = ./.;

  vendorHash = "sha256-SVSrY9SZnS6NLin+apdN4efqCzHgBBY8LIjXcUCXbUo=";

  ldflags =
    [ "-s -w" ]
    ++ lib.optionals stdenv.hostPlatform.isStatic [
      "-linkmode external"
      "-extldflags \"-static\""
    ];

  nativeBuildInputs = [
    pkg-config
  ];
}
